package nvidia-* failed to install/upgrade: nvidia-* kernel module failed to build (Unable to determine the target kernel version.)

Bug #576648 reported by WayOutThere on 2010-05-06
This bug affects 456 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Unassigned
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-173 (Ubuntu)
High
Daniel van Vugt
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-304 (Ubuntu)
High
Alberto Milone
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-304-updates (Ubuntu)
High
Unassigned
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-313-updates (Ubuntu)
High
Alberto Milone
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-96 (Ubuntu)
High
Unassigned
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-experimental-304 (Ubuntu)
High
Unassigned
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-experimental-310 (Ubuntu)
High
Alberto Milone
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt
nvidia-graphics-drivers-updates (Ubuntu)
High
Unassigned
Nominated for Hardy by Daniel van Vugt
Nominated for Lucid by Daniel van Vugt

Bug Description

WORKAROUND:

Revert back to the kernel version that your Ubuntu release came with.

TEST CASE FOR 10.04:

Starting with a fresh Ubuntu 10.04.3 installation...

sudo add-apt-repository ppa:kernel-ppa/ppa
sudo apt-get update
sudo apt-get install linux-image-3.0.0-8-generic
sudo apt-get install linux-headers-3.0.0-8-generic
# or should that be: install linux-lts-backport-oneiric ?
# REBOOT
sudo apt-get install nvidia-173
# The above command fails with an error.

# Check the exact error:
cat /var/lib/dkms/nvidia-173/*/build/make.log

ORIGINAL DESCRIPTION:

Brand new install of 10.04 onto a formatted hard drive. The upgrade icon said there was a restricted driver available - I clicked it. When I was running a Windows XP VMWare image, the video seemed to completely reset. I had to shut down and restart.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: nvidia-current 195.36.15-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Thu May 6 16:43:59 2010
DkmsStatus:
 nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
 nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
ErrorMessage: nvidia-current kernel module failed to build
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: LENOVO 64576DU
PackageVersion: 195.36.15-0ubuntu3
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   3.3V 32-bit PC Card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=e48c7906-adfe-4aef-b42f-afbb2328f9c3 ro quiet splash
SourcePackage: nvidia-graphics-drivers
Title: package nvidia-current 195.36.15-0ubuntu3 failed to install/upgrade: nvidia-current kernel module failed to build
dmi.bios.date: 08/22/2007
dmi.bios.vendor: LENOVO
dmi.bios.version: 7LET51WW (1.21 )
dmi.board.name: 64576DU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7LET51WW(1.21):bd08/22/2007:svnLENOVO:pn64576DU:pvrThinkPadT61:rvnLENOVO:rn64576DU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 64576DU
dmi.product.version: ThinkPad T61
dmi.sys.vendor: LENOVO
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-22-generic

WayOutThere (kevin-b-crocker) wrote :
summary: - package nvidia-current 195.36.15-0ubuntu3 failed to install/upgrade:
- nvidia-current kernel module failed to build
+ package nvidia-* failed to install/upgrade: nvidia-current kernel module
+ failed to build (building for wrong kernel)
summary: package nvidia-* failed to install/upgrade: nvidia-current kernel module
- failed to build (building for wrong kernel)
+ failed to build (Unable to determine the target kernel version.)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Confirmed

Try this:

sudo apt-get install --reinstall linux-headers-2.6.32-22
sudo apt-get install --reinstall nvidia-current

summary: - package nvidia-* failed to install/upgrade: nvidia-current kernel module
+ package nvidia-* failed to install/upgrade: nvidia-* kernel module
failed to build (Unable to determine the target kernel version.)
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → Confirmed
TJ (tj) on 2011-08-28
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → TJ (intuitivenipple)
Changed in nvidia-graphics-drivers-96 (Ubuntu):
assignee: nobody → TJ (intuitivenipple)
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → TJ (intuitivenipple)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Confirmed → In Progress
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → In Progress
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: Confirmed → In Progress
TJ (tj) wrote :

This is caused by a failure to detect the kernel version by the 'conftest.sh' script, which attempts to compile an incomplete kernel module.

There are a variety of issues causing the failure. I've current addressed the one that affects builds for 2.6.39 and later (compiler should use optimisations else static variables are compiled out), and a related problem where the nv-linux.h preprocessor directives won't recognise v3.x kernels (tests only for < 2.7.0).

I have working patches for both nvidia-173 and nvidia-current right now, and have updated the packages locally. I'll upload debdiffs once I've been able to test the built modules.

Download full text (3.8 KiB)

Hello TJ,

I understand, that you have working on patches for video card driver nvidia.
But what I am doing ?
Waiting probably this new version ?

Thank you for help.

Patrice.

Envoyé depuis SFR Mail. 10 Go de stockage - en savoir plus.

========================================

Message du : 28/08/2011
De : "TJ " <email address hidden>
A : <email address hidden>
Copie à :
Sujet : [Bug 576648] Re: package nvidia-* failed to install/upgrade: nvidia-*   kernel module failed to build (Unable to determine the target   kernel version.)

This is caused by a failure to detect the kernel version by the
'conftest.sh' script, which attempts to compile an incomplete kernel
module.

There are a variety of issues causing the failure. I've current
addressed the one that affects builds for 2.6.39 and later (compiler
should use optimisations else static variables are compiled out), and a
related problem where the nv-linux.h preprocessor directives won't
recognise v3.x kernels (tests only for < 2.7.0).

I have working patches for both nvidia-173 and nvidia-current right now,
and have updated the packages locally. I'll upload debdiffs once I've
been able to test the built modules.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/576648

Title:
  package nvidia-* failed to install/upgrade: nvidia-* kernel module
  failed to build (Unable to determine the target kernel version.)

Status in “nvidia-graphics-drivers” package in Ubuntu:
  In Progress
Status in “nvidia-graphics-drivers-173” package in Ubuntu:
  In Progress
Status in “nvidia-graphics-drivers-96” package in Ubuntu:
  In Progress

Bug description:
  Brand new install of 10.04 onto a formatted hard drive. The upgrade
  icon said there was a restricted driver available - I clicked it. When
  I was running a Windows XP VMWare image, the video seemed to
  completely reset. I had to shut down and restart.

  ProblemType: Package
  DistroRelease: Ubuntu 10.04
  Package: nvidia-current 195.36.15-0ubuntu3
  ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
  Uname: Linux 2.6.32-22-generic x86_64
  NonfreeKernelModules: nvidia
  Architecture: amd64
  Date: Thu May 6 16:43:59 2010
  DkmsStatus:
   nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
   nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
  ErrorMessage: nvidia-current kernel module failed to build
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  MachineType: LENOVO 64576DU
  PackageVersion: 195.36.15-0ubuntu3
  PccardctlIdent:
   Socket 0:
     no product info available
  PccardctlStatus:
   Socket 0:
     3.3V 32-bit PC Card
  ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=e48c7906-adfe-4aef-b42f-afbb2328f9c3 ro quiet splash
  SourcePackage: nvidia-graphics-drivers
  Title: package nvidia-current 195.36.15-0ubuntu3 failed to install/upgrade: nvidia-current kernel module failed to build
  dmi.bios.date: 08/22/2007
  dmi.bios.vendor: LENOVO
  dmi.bios.version: 7LET51WW (1.21 )
  dmi.board.name: 64576DU
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Available
  dm...

Read more...

JimmyTheGeek (jim-gmpl) wrote :

My duplicate Bug #837381 is on the Ubuntu Ultimate Oz Onyx64 build. There is a Post-Install Information folder in your /home/username folder that explains how to configure your files for restart. Once that was done, I had to sudo apt-get-install nvidia-settings, and reboot twice.

Once that was done, everything worked fine and I was able to configure my dual-monitor setup. Hope this helps!

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2011-09-25
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
TJ (tj) on 2011-09-26
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
Changed in nvidia-graphics-drivers-96 (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
status: In Progress → Confirmed
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: In Progress → Confirmed
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: In Progress → Confirmed
description: updated
tags: added: testcase
Daniel van Vugt (vanvugt) wrote :

A quick survey of this bug's duplicates to see where it is happening the most...

Ubuntu 10.04 LTS: 87
  + nvidia-173: 63
  + nvidia-195: 12
  + nvidia-96: 12

Ubuntu 11.04: 38
  + nvidia-270: 29
  + nvidia-173: 9

Ubuntu 11.10: 10
  + nvidia-280: 8
  + nvidia-173: 2

Other/unknown: 2
  + nvidia-185: 1
  + nvidia-270: 1

Total bugs: 137
63.5% of all duplicates are on Ubuntu 10.04 LTS.

Conclusion: It's pretty obvious and doesn't change anything; We mainly need to fix the current LTS release 10.04 and the next/current release.

Daniel van Vugt (vanvugt) wrote :

The above totals are current as of the latest duplicate 864305.

Download full text (4.3 KiB)

Hi Daniel,

I could install the NVidia driver after you obviously made some updates. I
installed 173 a couple of days ago first and recommended drivers after new
updates later. I had the impression that it was important to install the
old drivers first.

I still have a test partition left if you want me to test something.

Thanks and best regards,
Dirk

On Tue, Oct 4, 2011 at 04:53, Daniel van Vugt <email address hidden> wrote:

> A quick survey of this bug's duplicates to see where it is happening the
> most...
>
> Ubuntu 10.04 LTS: 87
> + nvidia-173: 63
> + nvidia-195: 12
> + nvidia-96: 12
>
> Ubuntu 11.04: 38
> + nvidia-270: 29
> + nvidia-173: 9
>
> Ubuntu 11.10: 10
> + nvidia-280: 8
> + nvidia-173: 2
>
> Other/unknown: 2
> + nvidia-185: 1
> + nvidia-270: 1
>
> Total bugs: 137
> 63.5% of all duplicates are on Ubuntu 10.04 LTS.
>
> Conclusion: It's pretty obvious and doesn't change anything; We mainly
> need to fix the current LTS release 10.04 and the next/current release.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (859870).
> https://bugs.launchpad.net/bugs/576648
>
> Title:
> package nvidia-* failed to install/upgrade: nvidia-* kernel module
> failed to build (Unable to determine the target kernel version.)
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-96” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> TEST CASE:
>
> Starting with a fresh Ubuntu 10.04.3 installation...
>
> sudo add-apt-repository ppa:kernel-ppa/ppa
> sudo apt-get update
> sudo apt-get install linux-image-3.0.0-8-generic
> sudo apt-get install linux-headers-3.0.0-8-generic
> # or should that be: install linux-lts-backport-oneiric ?
> # REBOOT
> sudo apt-get install nvidia-173
> # The above command fails with an error.
>
> # Check the exact error:
> cat /var/lib/dkms/nvidia-173/*/build/make.log
>
>
> ORIGINAL DESCRIPTION:
>
> Brand new install of 10.04 onto a formatted hard drive. The upgrade
> icon said there was a restricted driver available - I clicked it. When
> I was running a Windows XP VMWare image, the video seemed to
> completely reset. I had to shut down and restart.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: nvidia-current 195.36.15-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Thu May 6 16:43:59 2010
> DkmsStatus:
> nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
> nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
> ErrorMessage: nvidia-current kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> MachineType: LENOVO 64576DU
> PackageVersion: 195.36.15-0ubuntu3
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> 3.3V 32-bit PC Card
> ProcCmdLine: BOO...

Read more...

Daniel van Vugt (vanvugt) wrote :

That's good news Dirk. But I think the problem is still going to happen for other people because no explicit fix to nvidia-graphics-grivers has been made for this bug yet. It's likely you reinstalled/uninstalled/upgraded/downgraded your kernel, which may avoid the bug altogether.

Daniel van Vugt (vanvugt) wrote :

Looking at the code, it appears Alberto has already fixed this bug for Ubuntu 11.10...

173.14.30-0ubuntu2 and later
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/oneiric/nvidia-graphics-drivers-173/oneiric/revision/42

270.41.19-0ubuntu1 and later:
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/oneiric/nvidia-graphics-drivers/oneiric/revision/41

Now we just need the fixes backported to 10.04 for the majority of people still reporting this bug.

Hello,

I have an ubuntu 11.04 and upgraded the kernel to 3.0.
Result: blank screen.
Solution: start the kernel without X (in grub: 'set gfxpayload=text'),
and run ./NVIDIA-Linux-x86-275.28.run
--kernel-source-path=/usr/src/linux-2.6.
This fixes the problem, and ubuntu 11.04 is running fine now with kernel
3.0.

Regards,
Jürgen

On 04-10-11 07:49, Daniel van Vugt wrote:
> That's good news Dirk. But I think the problem is still going to happen
> for other people because no explicit fix to nvidia-graphics-grivers has
> been made for this bug yet. It's likely you
> reinstalled/uninstalled/upgraded/downgraded your kernel, which may avoid
> the bug altogether.
>

Download full text (4.4 KiB)

Bonjour Jurgen,

I am a beginner in Linux without X (no in windows).
 Could you give me (write me) what i do exactly.

Before thank you.
Patrice.

Tous vos emails en 1 clic avec l'application SFR Mail sur iPhone et Android - En savoir plus.

========================================

Message du : 11/10/2011 22:01
De : "Jurgen Lambrecht " <email address hidden>
A : <email address hidden>
Copie à :
Sujet : Re: [Bug 576648] Re: package nvidia-* failed to install/upgrade:   nvidia-*   kernel module failed to build (Unable to determine the   target   kernel version.)

 Hello,

I have an ubuntu 11.04 and upgraded the kernel to 3.0.
Result: blank screen.
Solution: start the kernel without X (in grub: 'set gfxpayload=text'),
and run ./NVIDIA-Linux-x86-275.28.run
--kernel-source-path=/usr/src/linux-2.6.
This fixes the problem, and ubuntu 11.04 is running fine now with kernel
3.0.

Regards,
Jürgen

On 04-10-11 07:49, Daniel van Vugt wrote:
> That's good news Dirk. But I think the problem is still going to happen
> for other people because no explicit fix to nvidia-graphics-grivers has
> been made for this bug yet. It's likely you
> reinstalled/uninstalled/upgraded/downgraded your kernel, which may avoid
> the bug altogether.
>

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/576648

Title:
  package nvidia-* failed to install/upgrade: nvidia-* kernel module
  failed to build (Unable to determine the target kernel version.)

Status in “nvidia-graphics-drivers” package in Ubuntu:
  Confirmed
Status in “nvidia-graphics-drivers-173” package in Ubuntu:
  Confirmed
Status in “nvidia-graphics-drivers-96” package in Ubuntu:
  Confirmed
Status in “nvidia-graphics-drivers-updates” package in Ubuntu:
  Confirmed

Bug description:
  TEST CASE:

  Starting with a fresh Ubuntu 10.04.3 installation...

  sudo add-apt-repository ppa:kernel-ppa/ppa
  sudo apt-get update
  sudo apt-get install linux-image-3.0.0-8-generic
  sudo apt-get install linux-headers-3.0.0-8-generic
  # or should that be: install linux-lts-backport-oneiric ?
  # REBOOT
  sudo apt-get install nvidia-173
  # The above command fails with an error.

  # Check the exact error:
  cat /var/lib/dkms/nvidia-173/*/build/make.log

  ORIGINAL DESCRIPTION:

  Brand new install of 10.04 onto a formatted hard drive. The upgrade
  icon said there was a restricted driver available - I clicked it. When
  I was running a Windows XP VMWare image, the video seemed to
  completely reset. I had to shut down and restart.

  ProblemType: Package
  DistroRelease: Ubuntu 10.04
  Package: nvidia-current 195.36.15-0ubuntu3
  ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
  Uname: Linux 2.6.32-22-generic x86_64
  NonfreeKernelModules: nvidia
  Architecture: amd64
  Date: Thu May 6 16:43:59 2010
  DkmsStatus:
   nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
   nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
  ErrorMessage: nvidia-current kernel module failed to build
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  MachineType: LENOVO 64576DU
  Packag...

Read more...

Daniel van Vugt (vanvugt) wrote :

There is presently no fix for existing Ubuntu releases. You can however avoid the bug if you revert back to the kernel version that your Ubuntu release came with:
  Ubuntu 10.04 --> kernel 2.6.32
  Ubuntu 11.04 --> kernel 2.6.38

This bug is fixed in the new Ubuntu release 11.10, which should be available in the next 24 hours.

Bonjour,

il faut dire, j'ai fait "reply" sur un email - je pensais que j'envoie
l'email à un expert de Ubuntu :-) (je suis belge flamand, mon français
n'est pas si bien).

Bon. Il faut d'abort download le logiciel NVIDIA-Linux-x86-275.28.run du
site de Nvidia.
Alors, il faut changer le menu de Grub: "vi /boot/grub/grub.cfg":
- mois je change le "menuentry" du linux "recovery mode"
- il faut changer "set gfxpayload=$linux_fgx_mode" dans "set
gfxpayload=text"
Si tu n'as pas le mot "gfxpayload" dans ton grub, il est plus vieux (mon
grub à été changé pendant le upgrade de ubuntu 10.x a 11.04), et il faut
ajouter quelque chose sur la ligne que commence avec "linux /boot..."
(google va le dire).

Il faut être root pour l'installation (sudo -s).

Succes,
Jürgen

On 12-10-11 22:02, Patrice PILON wrote:
> Bonjour Jurgen,
>
> I am a beginner in Linux without X (no in windows).
> Could you give me (write me) what i do exactly.
>
> Before thank you.
> Patrice.
>
> Tous vos emails en 1 clic avec l'application SFR Mail sur iPhone et
> Android - En savoir plus.
>
>
> ========================================
>
> Message du : 11/10/2011 22:01
> De : "Jurgen Lambrecht "<email address hidden>
> A : <email address hidden>
> Copie à :
> Sujet : Re: [Bug 576648] Re: package nvidia-* failed to install/upgrade: nvidia-* kernel module failed to build (Unable to determine the target kernel version.)
>
>
> Hello,
>
> I have an ubuntu 11.04 and upgraded the kernel to 3.0.
> Result: blank screen.
> Solution: start the kernel without X (in grub: 'set gfxpayload=text'),
> and run ./NVIDIA-Linux-x86-275.28.run
> --kernel-source-path=/usr/src/linux-2.6.
> This fixes the problem, and ubuntu 11.04 is running fine now with kernel
> 3.0.
>
> Regards,
> Jürgen
>
>
> On 04-10-11 07:49, Daniel van Vugt wrote:
> NVIDIA-Linux-x86-275.28.run
>> That's good news Dirk. But I think the problem is still going to happen
>> for other people because no explicit fix to nvidia-graphics-grivers has
>> been made for this bug yet. It's likely you
>> reinstalled/uninstalled/upgraded/downgraded your kernel, which may avoid
>> the bug altogether.
>>

Bryce Harrington (bryce) on 2011-11-26
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Triaged
Bryce Harrington (bryce) on 2011-12-02
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-96 (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-173 (Ubuntu):
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

Thanks Bryce. This certainly seems to be the hottest bug of all the DKMS issues I am monitoring.

description: updated
Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
description: updated
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Triaged → In Progress
Daniel van Vugt (vanvugt) wrote :

It seems all the recent duplicates from precise (alpha-1) are just from nvidia-173. No problem with nvidia-current in precise. So I'm fixing nvidia-173 for precise today...

sojourner (itsmealso2) wrote :

my bug # 897681 has been marked as a duplicate of this bug . while it may relate to this bug in the fact that nvidia 173 does fail to install , that is not why I filed the bug . The reason I filed that bug is that even if the 173 driver compiled and installed perfectly IT IS THE WRONG DRIVER FOR MY CARD as I stated in my original filing , therefore solving THIS bug will NOT SOLVE MINE , please seperate them .

Daniel van Vugt (vanvugt) wrote :

That's strange. I can't see any history suggesting bug 897681 was ever a duplicate of this one. Its status seems to be correct and has been since 2011-12-06.

dino99 (9d9) wrote :

Cant says that nvidia cant build with actual kernel as the report title says, but my issues are so close:

it's on Precise i386 with 8500gt & 290 driver from edgers ppa:
oem@oem-desktop:~$ dpkg-query -l | grep nvidia
ii nvidia-common 1:0.2.36 Find obsolete NVIDIA drivers
ii nvidia-current 290.10-0ubuntu1~xedgers~precise1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings 290.06-0ubuntu1~xedgers~precise1 Tool of configuring the NVIDIA graphics driver

The problem is:
jockey-gtk dont find driver at all (empty list)
purging then reinstalling nvidia*/jockey* dont show warning/error during installation.

but /var/log/jockey.log warn first with:
Could not open DriverDB cache /var/cache/jockey/driverdb-OpenPrintingDriverDB.cache: [Errno 2] No such file or directory: '/var/cache/jockey/driverdb-OpenPrintingDriverDB.cache'

so i've created an empty /var/cache/jockey/driverdb-OpenPrintingDriverDB.cache, then it seems to help (see the log attached)

Trying to find how jockey-gtk works, i'm surprised to find:
- /usr/share/jockey/modaliases/disable-upstream-nvidia:
   # the nvidia modules have catch-all modaliases, which is wrong; kill
  # them off here, and use the linux-restricted-modules overrides files
  # instead (which are evaluated later than this file)
     reset nvidia
     reset nvidia_new
    reset nvidia_legacy
 The first thing to note is: linux-restricted-modules has been removed from archives since kernel 2.6.24 (ubuntuupdates: tim Gardner) and is only found for old distro via ppa (canonical-kernel-team, ...). So what's going on with this outdated settings ?
- some weaks ago jockey-gtk was having nvidia-current "activated & in use" but proposing oldish drivers (173, current-update) as dh-modaliases was not applied. Now its even worst as it dont find driver at all.

This actual missing "linux-restricted-modules" needs jockey/nvidia/dh-modaliases to be cleaned and updated.

sojourner (itsmealso2) wrote :

@daniel that is indeed strange , I am receiving emails from this bug saying that mine is a duplicate of it , see quoted text .

"That's strange. I can't see any history suggesting bug 897681 was ever a
duplicate of this one. Its status seems to be correct and has been since
2011-12-06.

--
You received this bug notification because you are subscribed to a
duplicate bug report (894761).
https://bugs.launchpad.net/bugs/576648"

that is why I posted my previous comment here .

Daniel van Vugt (vanvugt) wrote :

OK, I see the problem.

Bug 894761 was pointing at this bug instead of bug 876499. Sorry for the confusion because your bug reports show you are experiencing both bug 876499 and this bug. However only bug 876499 is of interest to you. I've fixed it.

description: updated
pjharper (pjharper) wrote :

I was routed here from https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/912298

nvidia-current builds on my Ubuntu 12.04 on the 2006 Intel iMac. It does not have a very good screen resolution however. Which is why I tried nvidia 173.

Is there anything I should try or do?

Daniel van Vugt (vanvugt) wrote :

Sorry, there's no workaround for precise/nvidia-173. But a fix has been completed and is awaiting review. So shouldn't be too long...
https://code.launchpad.net/~vanvugt/ubuntu/precise/nvidia-graphics-drivers-173/fix-576648-precise/+merge/86986

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.30-0ubuntu9

---------------
nvidia-graphics-drivers-173 (173.14.30-0ubuntu9) precise; urgency=low

  [ Daniel van Vugt ]
  * debian/dkms.conf{.in}:
    - Fix failure to install with kernel 3.2 (LP: #576648).
    - Drop non-functional OBSOLETE_BY variable.

  [ Alberto Milone ]
  * debian/nvidia-$flavour.prerm.in:
    - Use the right path to remove the alternative for the
      other architecture (LP: #915461).
 -- Alberto Milone <email address hidden> Thu, 12 Jan 2012 18:08:01 +0100

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: In Progress → Fix Released
riccardo (ricca) wrote :

Hi, I see the bug is fixed but how can I fix it on my pc??

Sheridan Price (kellyandsher) wrote :

I'm not sure. Eventually I simply reinstalled the driver and all was well.
S

On 12-01-25 11:07 AM, riccardo wrote:
> Hi, I see the bug is fixed but how can I fix it on my pc??
>

Daniel van Vugt (vanvugt) wrote :

If you're using Ubuntu 12.04 and nvidia-173 then just do an update as the bug is fixed.

If you're using an older version of Ubuntu then the workaround is to revert back to the Linux kernel your version of Ubuntu came with.
    Ubuntu 10.04 --> kernel 2.6.32
    Ubuntu 11.04 --> kernel 2.6.38
    Ubuntu 11.10 --> kernel 3.0.0

This means uninstalling any newer kernels you have installed. Because the NVIDIA driver you have is too old to support the newer kernel you must have manually installed.

Alternatively, if you can't live without the newer kernel you installed, then another possible workaround is to uninstall the nvidia* driver packages, and try to find and manually install a compatible driver from here:
    http://www.nvidia.com/object/unix.html

description: updated

Hi, I've reported this bug(is the same bug):
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/976443

I've found the solution, well a partial solution: To install driver from package provided by Nvidia, you must download it from its website.
To install the driver is necessary reboot the system and start in secure mode(modo de recuperación in Spanish, well the second option of grub, pardon my poor English) or terminal/console mode.
Give yourself root privilege:
sudo -s
Then go to location of downloaded file:
cd /path/to/file
give execution permission:
sudo chmod +x driverInstaller_or_downloadedFile.run
Execute the installer:
sudo ./driverInstaller_or_downloadedFile.run
Installer says that nouveau must be disabled, you must accept an continue the installation.

That works for me, but I did say a partial solution because the refresh rate is low, With nouveau or default installation of ubuntu that does not happen, my desktop was very clear.

Excuse me, about my last comment, sudo in commands is not necessary since you are already root(sudo -s).

Daniel van Vugt (vanvugt) wrote :

Sorry, I meant to nominate lucid but nominated hardy too. It should just be lucid. Almost all duplicates of this bug are from users of Ubuntu 10.04.

d0m (dominic-innocent) wrote :

Hi
Where can I see the fix?
Have fun.
d0m.

On 17-04-12 12:26, d0m wrote:
> Hi
> Where can I see the fix?
> Have fun.
> d0m.
>
I just download the latest driver from nvidia, boot without X in
runlevel 3, and compile the driver myself.
Works for ubuntu 10.04, 11.04, 11.10.
Recently I installed a bunch of Ubuntu updates (I refused the nvidia
updates), and again: a black screen.
But recompiling the driver fixed it.

Regards,
Jürgen

Download full text (3.7 KiB)

I restart the hard installation 11.10 and after no problem.
Thank you very much
Le 17 avr. 2012 12:35, "d0m" <email address hidden> a écrit :

> Hi
> Where can I see the fix?
> Have fun.
> d0m.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (981198).
> https://bugs.launchpad.net/bugs/576648
>
> Title:
> package nvidia-* failed to install/upgrade: nvidia-* kernel module
> failed to build (Unable to determine the target kernel version.)
>
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
> Fix Released
> Status in “nvidia-graphics-drivers-96” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-updates” package in Ubuntu:
> Triaged
>
> Bug description:
> WORKAROUND:
>
> Revert back to the kernel version that your Ubuntu release came with:
> Ubuntu 10.04 --> kernel 2.6.32
> Ubuntu 11.04 --> kernel 2.6.38
>
> TEST CASE FOR 10.04:
>
> Starting with a fresh Ubuntu 10.04.3 installation...
>
> sudo add-apt-repository ppa:kernel-ppa/ppa
> sudo apt-get update
> sudo apt-get install linux-image-3.0.0-8-generic
> sudo apt-get install linux-headers-3.0.0-8-generic
> # or should that be: install linux-lts-backport-oneiric ?
> # REBOOT
> sudo apt-get install nvidia-173
> # The above command fails with an error.
>
> # Check the exact error:
> cat /var/lib/dkms/nvidia-173/*/build/make.log
>
> ORIGINAL DESCRIPTION:
>
> Brand new install of 10.04 onto a formatted hard drive. The upgrade
> icon said there was a restricted driver available - I clicked it. When
> I was running a Windows XP VMWare image, the video seemed to
> completely reset. I had to shut down and restart.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: nvidia-current 195.36.15-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Thu May 6 16:43:59 2010
> DkmsStatus:
> nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
> nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
> ErrorMessage: nvidia-current kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> MachineType: LENOVO 64576DU
> PackageVersion: 195.36.15-0ubuntu3
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> 3.3V 32-bit PC Card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic
> root=UUID=e48c7906-adfe-4aef-b42f-afbb2328f9c3 ro quiet splash
> SourcePackage: nvidia-graphics-drivers
> Title: package nvidia-current 195.36.15-0ubuntu3 failed to
> install/upgrade: nvidia-current kernel module failed to build
> dmi.bios.date: 08/22/2007
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 7LET51WW (1.21 )
> dmi.board.name: 64576DU
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.ve...

Read more...

n0PxN0p (n0pxn0p) wrote :

I confirm it is present on natty with packages from oneiric listed below:
linux-image-3.0.0-17-generic linux-headers-3.0.0-17-generic module-init-tools procps

And: nvidia-current 270.41.06-0ubuntu1.1 (which is the latest for natty at the moment, as well as those listed above)

Result of building nvidia module according to /var/lib/dkms/nvidia-current/270.41.06/build/make.log:
-----------------------------------------------------------------------------------------------------------------
DKMS make.log for nvidia-current-270.41.06 for kernel 3.0.0-17-generic (x86_64)
Вт. апр. 24 13:38:56 VOLT 2012
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***

make: *** [select_makefile] Ошибка 1

--------------------------------------------------EOF--------------------------------------------------------

Workaround that supposes switching back to kernel version Natty shipped with is not an option for me, due to several bugs i'm catching on my laptop, including this one for example: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/924905 (which makes it impossible to use the laptop at all in my case).
Building module from source in not a best option for me also due to several reasons that also hardly refer to current bug.

Should i provide some additional info?

Luca Borrione (luca.borrione) wrote :

> If you're using Ubuntu 12.04 and nvidia-173 then just do an update as the bug is fixed.

At the moment nvidia-173 is uninstallable on precise .. please see
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/948053

Phil M (unmobile+ubuntu) wrote :

Is there any technical barrier to uploading the patched version of nvidia-current in Lucid updates or backports? I could really benefit from having working Nvidia drivers on the 3.0 kernel, as I run a large lab full of workstations used by researchers, whose work is easier on the newer kernel.

I'd be glad to help with any testing needed.

Phil M (unmobile+ubuntu) wrote :

As another workaround that seems to suffice (no serious stability testing, yet), and allows use of the newer kernels, one can pull packages from the x-updates PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Download full text (4.3 KiB)

Sorry,I don't use the ubuntu linux system these days.When I enter the system, I'll try to solve the problem as you said.By the way,should I do some operations to indicate the problem on the website so that the others could know the problem has been solved.
I'm a freshman in the ubuntu forum,so I don't understand the rule very well.
My English is poor. I hope you could understand what I say above.

________________________________
 发件人: Phil M <email address hidden>
收件人: <email address hidden>
发送日期: 2012年5月18日, 星期五, 上午 8:16
主题: [Bug 576648] Re: package nvidia-* failed to install/upgrade: nvidia-* kernel module failed to build (Unable to determine the target kernel version.)

As another workaround that seems to suffice (no serious stability
testing, yet), and allows use of the newer kernels, one can pull
packages from the x-updates PPA:
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

--
You received this bug notification because you are subscribed to a
duplicate bug report (986041).
https://bugs.launchpad.net/bugs/576648

Title:
  package nvidia-* failed to install/upgrade: nvidia-* kernel module
  failed to build (Unable to determine the target kernel version.)

Status in NVIDIA Drivers Ubuntu:
  Confirmed
Status in “nvidia-graphics-drivers” package in Ubuntu:
  Triaged
Status in “nvidia-graphics-drivers-173” package in Ubuntu:
  Fix Released
Status in “nvidia-graphics-drivers-96” package in Ubuntu:
  Triaged
Status in “nvidia-graphics-drivers-updates” package in Ubuntu:
  Triaged

Bug description:
  WORKAROUND:

  Revert back to the kernel version that your Ubuntu release came with:
      Ubuntu 10.04 --> kernel 2.6.32
      Ubuntu 11.04 --> kernel 2.6.38

  TEST CASE FOR 10.04:

  Starting with a fresh Ubuntu 10.04.3 installation...

  sudo add-apt-repository ppa:kernel-ppa/ppa
  sudo apt-get update
  sudo apt-get install linux-image-3.0.0-8-generic
  sudo apt-get install linux-headers-3.0.0-8-generic
  # or should that be: install linux-lts-backport-oneiric ?
  # REBOOT
  sudo apt-get install nvidia-173
  # The above command fails with an error.

  # Check the exact error:
  cat /var/lib/dkms/nvidia-173/*/build/make.log

  ORIGINAL DESCRIPTION:

  Brand new install of 10.04 onto a formatted hard drive. The upgrade
  icon said there was a restricted driver available - I clicked it. When
  I was running a Windows XP VMWare image, the video seemed to
  completely reset. I had to shut down and restart.

  ProblemType: Package
  DistroRelease: Ubuntu 10.04
  Package: nvidia-current 195.36.15-0ubuntu3
  ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
  Uname: Linux 2.6.32-22-generic x86_64
  NonfreeKernelModules: nvidia
  Architecture: amd64
  Date: Thu May  6 16:43:59 2010
  DkmsStatus:
   nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
   nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
  ErrorMessage: nvidia-current kernel module failed to build
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  MachineType: LENOVO 64576DU
  PackageVersion: 195.36.15-0ubuntu3
  PccardctlIdent:
   Socket 0:
     no product info available
  PccardctlStatus:
   Socket 0:
...

Read more...

tags: added: precise
Changed in nvidia-graphics-drivers-experimental-304 (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu):
status: New → Triaged
Download full text (4.3 KiB)

hello,
i follow the instruction and i upgrade to 12.04 lts.
everything working well thank you

2012/11/8 Daniel van Vugt <email address hidden>

> ** Also affects: nvidia-graphics-drivers-experimental-304 (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: nvidia-graphics-drivers-experimental-304 (Ubuntu)
> Status: New => Triaged
>
> ** Also affects: nvidia-graphics-drivers-experimental-310 (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: nvidia-graphics-drivers-experimental-310 (Ubuntu)
> Status: New => Triaged
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (981198).
> https://bugs.launchpad.net/bugs/576648
>
> Title:
> package nvidia-* failed to install/upgrade: nvidia-* kernel module
> failed to build (Unable to determine the target kernel version.)
>
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
> Fix Released
> Status in “nvidia-graphics-drivers-96” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-experimental-304” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-experimental-310” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-updates” package in Ubuntu:
> Triaged
>
> Bug description:
> WORKAROUND:
>
> Revert back to the kernel version that your Ubuntu release came with:
> Ubuntu 10.04 --> kernel 2.6.32
> Ubuntu 11.04 --> kernel 2.6.38
>
> TEST CASE FOR 10.04:
>
> Starting with a fresh Ubuntu 10.04.3 installation...
>
> sudo add-apt-repository ppa:kernel-ppa/ppa
> sudo apt-get update
> sudo apt-get install linux-image-3.0.0-8-generic
> sudo apt-get install linux-headers-3.0.0-8-generic
> # or should that be: install linux-lts-backport-oneiric ?
> # REBOOT
> sudo apt-get install nvidia-173
> # The above command fails with an error.
>
> # Check the exact error:
> cat /var/lib/dkms/nvidia-173/*/build/make.log
>
> ORIGINAL DESCRIPTION:
>
> Brand new install of 10.04 onto a formatted hard drive. The upgrade
> icon said there was a restricted driver available - I clicked it. When
> I was running a Windows XP VMWare image, the video seemed to
> completely reset. I had to shut down and restart.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: nvidia-current 195.36.15-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Thu May 6 16:43:59 2010
> DkmsStatus:
> nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
> nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: installed
> ErrorMessage: nvidia-current kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> MachineType: LENOVO 64576DU
> PackageVersion: 195.36.15-0ubuntu3
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> 3.3V...

Read more...

Download full text (8.2 KiB)

hello,
i have solved this problem,thank you.

________________________________
 发件人: dadour13 <email address hidden>
收件人: <email address hidden>
发送日期: 2012年11月9日, 星期五, 上午 6:36
主题: Re: [Bug 576648] Re: package nvidia-* failed to install/upgrade: nvidia-* kernel module failed to build (Unable to determine the target kernel version.)

hello,
i follow the instruction and i upgrade to 12.04 lts.
everything working well thank you

2012/11/8 Daniel van Vugt <email address hidden>

> ** Also affects: nvidia-graphics-drivers-experimental-304 (Ubuntu)
>    Importance: Undecided
>        Status: New
>
> ** Changed in: nvidia-graphics-drivers-experimental-304 (Ubuntu)
>        Status: New => Triaged
>
> ** Also affects: nvidia-graphics-drivers-experimental-310 (Ubuntu)
>    Importance: Undecided
>        Status: New
>
> ** Changed in: nvidia-graphics-drivers-experimental-310 (Ubuntu)
>        Status: New => Triaged
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (981198).
> https://bugs.launchpad.net/bugs/576648
>
> Title:
>  package nvidia-* failed to install/upgrade: nvidia-* kernel module
>  failed to build (Unable to determine the target kernel version.)
>
> Status in NVIDIA Drivers Ubuntu:
>  Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Triaged
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
>  Fix Released
> Status in “nvidia-graphics-drivers-96” package in Ubuntu:
>  Triaged
> Status in “nvidia-graphics-drivers-experimental-304” package in Ubuntu:
>  Triaged
> Status in “nvidia-graphics-drivers-experimental-310” package in Ubuntu:
>  Triaged
> Status in “nvidia-graphics-drivers-updates” package in Ubuntu:
>  Triaged
>
> Bug description:
>  WORKAROUND:
>
>  Revert back to the kernel version that your Ubuntu release came with:
>      Ubuntu 10.04 --> kernel 2.6.32
>      Ubuntu 11.04 --> kernel 2.6.38
>
>  TEST CASE FOR 10.04:
>
>  Starting with a fresh Ubuntu 10.04.3 installation...
>
>  sudo add-apt-repository ppa:kernel-ppa/ppa
>  sudo apt-get update
>  sudo apt-get install linux-image-3.0.0-8-generic
>  sudo apt-get install linux-headers-3.0.0-8-generic
>  # or should that be: install linux-lts-backport-oneiric ?
>  # REBOOT
>  sudo apt-get install nvidia-173
>  # The above command fails with an error.
>
>  # Check the exact error:
>  cat /var/lib/dkms/nvidia-173/*/build/make.log
>
>  ORIGINAL DESCRIPTION:
>
>  Brand new install of 10.04 onto a formatted hard drive. The upgrade
>  icon said there was a restricted driver available - I clicked it. When
>  I was running a Windows XP VMWare image, the video seemed to
>  completely reset. I had to shut down and restart.
>
>  ProblemType: Package
>  DistroRelease: Ubuntu 10.04
>  Package: nvidia-current 195.36.15-0ubuntu3
>  ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
>  Uname: Linux 2.6.32-22-generic x86_64
>  NonfreeKernelModules: nvidia
>  Architecture: amd64
>  Date: Thu May  6 16:43:59 2010
>  DkmsStatus:
>    nvidia-current, 195.36.15, 2.6.32-21-generic, x86_64: installed
>    nvidia-current, 195.36.15, 2.6.32-22-generic, x86_64: inst...

Read more...

Léa GRIS (lea-gris) wrote :

Ubuntu 13.04 cause the very same error. Applied last night updates and reboot

Levan Chelidze (levanchelidze) wrote :

yes getting same problem on ubuntu 13.04 I tried nvidia proprietary drivers and open source drivers non worked

Vincent Gerris (vgerris) wrote :

I am also on 13.04 beta. See my previous post for what worked for me.
The key issue for me was in unity.
When I removed the nvidia drivers the nouveau driver loaded without issue.

Søren Jakobsen (agent-orenge) wrote :

So you changed the graphics driver, to what excatly?

Vincent Gerris (vgerris) wrote :

My apologies, please ignore my post!
I thought I was on an other Nvidia bug entry.
Those were about another version, so please remove my post if possible :).

philinux (philcb) wrote :

Nvidia 304 and 313 build correctly. But 310 does not

Michael Neuffer (neuffer) wrote :
Download full text (3.7 KiB)

root@kyle:/var/lib/dkms/nvidia-experimental-310/310.14/build# apt-get install --reinstall nvidia-experimental-310
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-image-3.8.0-14-generic linux-image-3.8.0-15-generic
  linux-image-extra-3.8.0-14-generic linux-image-extra-3.8.0-15-generic
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 5 not upgraded.
Need to get 67.0 MB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://ftp.ubuntu.com/ubuntu/ raring/restricted nvidia-experimental-310 amd64 310.14-0ubuntu2 [67.0 MB]
Fetched 67.0 MB in 7s (9,525 kB/s)
(Reading database ... 273009 files and directories currently installed.)
Preparing to replace nvidia-experimental-310 310.14-0ubuntu2 (using .../nvidia-experimental-310_310.14-0ubuntu2_amd64.deb) ...
Removing all DKMS Modules
Done.
Unpacking replacement nvidia-experimental-310 ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Setting up nvidia-experimental-310 (310.14-0ubuntu2) ...
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia-experimental-310
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
Loading new nvidia-experimental-310-310.14 DKMS files...
Building only for 3.8.0-17-generic
Building for architecture x86_64
Building initial module for 3.8.0-17-generic
Traceback (most recent call last):
  File "/usr/share/apport/package-hooks/dkms_packages.py", line 22, in <module>
    import apport
ImportError: No module named apport
Error! Bad return status for module build on kernel: 3.8.0-17-generic (x86_64)
Consult /var/lib/dkms/nvidia-experimental-310/310.14/build/make.log for more information.
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.8.0-17-generic
[ Rootkit Hunter version 1.4.0 ]
File updated: searched for 169 files, found 138
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB
localepurge: Disk space freed in /usr/share/doc/kde/HTML: 0 KiB

Total disk space freed by localepurge: 0 KiB

root@kyle:/var/lib/dkms/nvidia-experimental-310/310.14/build#
---------------------------------------------------------------------------------------------
KMS make.log for nvidia-experimental-310-310.14 for kernel 3.8.0-17-generic (x86_64)
Tue Apr 9 20:34:23 CEST 2013
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your ker...

Read more...

Sean Sosik-Hamor (sciri) wrote :

I'm experiencing the same problem as neuffer above. nvidia-experimental-310 won't install/build (Unable to determine the target kernel version.). nvidia-313-updates installs/builds fine.

Sean Sosik-Hamor (sciri) wrote :

 * nvidia-experimental-310 will not build on linux-image-3.8.0-17-generic (3.8.0-17.27).
 * nvidia-experimental-310 will build on linux-image-3.8.0-15-generic (3.8.0-15.25).

Is this a kernel package problem or an nvidia package problem?

sciri@medic:~$ apt-cache policy nvidia-experimental-310
nvidia-experimental-310:
  Installed: (none)
  Candidate: 310.14-0ubuntu2
  Version table:
     310.14-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ raring/restricted amd64 Packages

sciri@medic:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Raring Ringtail (development branch)
Release: 13.04
Codename: raring

sciri@medic:~$ dpkg-query -l \*linux-image\* \*linux-header\* | grep ii
ii linux-headers-3.8.0-15 3.8.0-15.25 all Header files related to Linux kernel version 3.8.0
ii linux-headers-3.8.0-15-generic 3.8.0-15.25 amd64 Linux kernel headers for version 3.8.0 on 64 bit x86 SMP
ii linux-headers-3.8.0-17 3.8.0-17.27 all Header files related to Linux kernel version 3.8.0
ii linux-headers-3.8.0-17-generic 3.8.0-17.27 amd64 Linux kernel headers for version 3.8.0 on 64 bit x86 SMP
ii linux-headers-generic 3.8.0.17.33 amd64 Generic Linux kernel headers
ii linux-image 3.8.0.17.33 amd64 Generic Linux kernel image.
ii linux-image-3.8.0-15-generic 3.8.0-15.25 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-3.8.0-17-generic 3.8.0-17.27 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-15-generic 3.8.0-15.25 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-17-generic 3.8.0-17.27 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-generic 3.8.0.17.33 amd64 Generic Linux kernel image

Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: New → Fix Released
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-313-updates (Ubuntu):
status: New → In Progress
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-313-updates - 313.30-0ubuntu1

---------------
nvidia-graphics-drivers-313-updates (313.30-0ubuntu1) raring; urgency=low

  * debian/dkms/patches/allow_sublevel_greater_than_5.patch,
    debian/templates/dkms.conf.in:
    - Allow SUBLEVEL variables greater than 5 in the
      kernel Makefile (LP: #576648).
  * New upstream release:
    - Fixed CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB
      Cursor Buffer Overflow in "NoScanout" Mode. This
      buffer overflow, which occurred when an X client
      installed a large ARGB cursor on an X server
      running in NoScanout mode, could cause a denial
      of service (e.g., an X server segmentation fault),
      or could be exploited to achieve arbitrary code
      execution.
 -- Alberto Milone <email address hidden> Wed, 10 Apr 2013 12:02:50 +0200

Changed in nvidia-graphics-drivers-313-updates (Ubuntu):
status: In Progress → Fix Released
Giovanni Mellini (merlos) wrote :

I can confirm that the fix is working, now i have 310 driver with 3.8.0-17-generic kernel
Tks

Giovanni Mellini (merlos) wrote :

Just did an update today to 3.8.0-18 kernel and the bug is here again.
When I boot to 3.8.0-18 kernel (I have nvidia-313-updates installed) the nvidia kernel module is not loaded.

I'm back to 3.8.0-17 kernel that boot fine

Giovanni Mellini (merlos) wrote :

I solved installing by hand kernel headers that where not installed

$ sudo apt-get install linux-headers-3.8.0-18-generic

Don't know why I had to do this by hand

Alberto Milone (albertomilone) wrote :

@Giovanni: you might want to install the linux-generic metapackage so that you will always get the right headers together with updated kernels

Don Myers (donmyers) wrote :

I just did an new install of Ubuntu 13.04 this evening using the 13.04 Beta 2 DVD. The computer has nvidia video. Everything worked fine. Then I did the updates as I always do after a new install. I rebooted, and no video. This system has only Ubuntu on, so I don't get any options to select from when I boot. How do I try the $ sudo apt-get install linux-headers-3.8.0-18-generic option listed above to try to get things working again? Live cd possibly? Is there a way to bring up a menu when booting? Otherwise the only solution I would know is to wipeout the install and start over. The location of this computer has a slow internet connection so I hope I don't have to do that.

Hey Don -
When your computer boots up, go ahead and make sure an Ethernet cable is plugged in. Then hold down control and alt and press "F1" - you'll be prompted to login with the user account you created. Then run this command exactly:
sudo apt-get install linux-headers-generic

It will prompt you for your password and such. I'm not sure that will completely fix it - you may also have to remove the nvidia driver from your system as well - if that's the case type the following:
sudo apt-get remove nvidia-
BUT DO NOT HIT ENTER.

Hit tab twice - it should show you the available packages to remove... something along the lines of nvidia-313-updates
Go ahead and complete the line with whatever is shown ( ignore the packages with settings and common in the name ).

Reboot and you should have you desktop back. Once you've done that you should be able to install the nvidia driver again and it should be fine - I suggest the 313 package as that is the one I've gotten to work.

Dvir Volk (dvirsky) wrote :

I haven't gotten any of the apt based nvidia packages to work with 3.8.0-19, even though the DKMS builds seemed to complete ok.
Eventually I reverted to downloading the nvidia 313 binary package from nvidia's site and using their installer, and now everything works.

but something is definitely broken still.

Hassan El Jacifi (waver) wrote :

run-parts: executing /etc/kernel/header_postinst.d/dkms 3.9.0-999-generic /boot/vmlinuz-3.9.0-999-generic
Error! Bad return status for module build on kernel: 3.9.0-999-generic (x86_64)
Consult /var/lib/dkms/nvidia-304/304.88/build/make.log for more information.

run-parts: executing /etc/kernel/postinst.d/dkms 3.9.0-999-generic /boot/vmlinuz-3.9.0-999-generic
Error! Bad return status for module build on kernel: 3.9.0-999-generic (x86_64)
Consult /var/lib/dkms/nvidia-304/304.88/build/make.log for more information.

cat /var/lib/dkms/nvidia-304/304.88/build/make.log

DKMS make.log for nvidia-304-304.88 for kernel 3.9.0-999-generic (x86_64)
mardi 7 mai 2013, 10:42:50 (UTC+0200)
NVIDIA: calling KBUILD...
test -e include/generated/autoconf.h -a -e include/config/auto.conf || ( \
 echo >&2; \
 echo >&2 " ERROR: Kernel configuration is invalid."; \
 echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\
 echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
 echo >&2 ; \
 /bin/false)
mkdir -p /var/lib/dkms/nvidia-304/304.88/build/.tmp_versions ; rm -f /var/lib/dkms/nvidia-304/304.88/build/.tmp_versions/*
make -f scripts/Makefile.build obj=/var/lib/dkms/nvidia-304/304.88/build

Michel Filipe (mfilipe) wrote :

$ cat /var/lib/dkms/nvidia-experimental-304/304.48/build/make.log

DKMS make.log for nvidia-experimental-304-304.48 for kernel 3.8.0-19-generic (x86_64)
Qua Mai 15 19:55:24 BRT 2013
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***

make: *** [select_makefile] Error 1

Alberto Milone (albertomilone) wrote :

@Hassan: did you install the linux headers for your kernel?

@Bruno: yes, it's a duplicate. I've replied there.

@Michel: did you install the linux headers for your kernel?

Michel Filipe (mfilipe) wrote :

@albertomilone yes, I did. I'm adding the console.txt file to confirm.

Bruno Medeiros (brunojcm) wrote :

@albertomilone yes, I did (2). The headers are installed:

brunojcm@brunojcm-desktop:~$ dpkg -l linux-headers-3.8*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-===============================-===============================-==============================================================================
ii linux-headers-3.8.0-20 3.8.0-20.31~precise1 Header files related to Linux kernel version 3.8.0
ii linux-headers-3.8.0-20-generic 3.8.0-20.31~precise1 Linux kernel headers for version 3.8.0 on 64 bit x86 SMP
ii linux-headers-3.8.0-21 3.8.0-21.32~precise1 Header files related to Linux kernel version 3.8.0
ii linux-headers-3.8.0-21-generic 3.8.0-21.32~precise1 Linux kernel headers for version 3.8.0 on 64 bit x86 SMP

This will not install for me either in Bodhi with kernel 3.8.0-23. I think it's related to the following bug patched recently - https://lkml.org/lkml/2013/3/30/131

Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
importance: Undecided → High
status: New → Triaged
description: updated
dino99 (9d9) on 2014-05-05
tags: added: trusty
Alberto Milone (albertomilone) wrote :

This bug report was filed against Ubuntu 10.04. If the problem affects 14.04, please file a new bug report.

Daniel van Vugt (vanvugt) wrote :

Today's duplicate was from nvidia-graphics-drivers-304-updates, for which there's no record of a fix (yet). Or is it implicit in already being fixed in nvidia-graphics-drivers-304?

Alberto Milone (albertomilone) wrote :

@Daniel: if you're referring to LP: #1315433, that's not really the same issue, as it refers to Linux 3.15 (it looks like a custom kernel), that is not in 14.04 (at least not yet), as per the bug's description:

DKMSKernelVersion: 3.15.0-rc2-eudyptula-00206-g9310072

I haven't added support for 3.15 in Utopic in any of the binary drivers yet.

Changed in nvidia-graphics-drivers-304 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-experimental-304 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-updates (Ubuntu):
importance: Undecided → High
dino99 (9d9) on 2015-09-12
tags: removed: lucid
dino99 (9d9) wrote :

The binary drivers should get more frequent updates as some users want/need a recent kernel for some reason. So most reports are due to the lack of support for the kernels installed from outside the related ubuntu release (backport, vanilla, custom compile, ...)

It sould be usefull that all these similar reports not being declared as 'duplicate' when they are related to a different ubuntu release.
That way each nvidia driver version should have there own 'duplicate'

The binary drivers really needs to be less restrictive about the dependencies version and kernel support (could limit to 2, 3 kernel family, instead of the real version, like 3.15 for example)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers